Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationMeshManager Class Reference

変換メッシュマネージャ More...

`#include <TranslationMeshManager.h>`

List of all members.

## Public Member Functions
| TranslationMeshManager ()
| コンストラクタ
virtual | ~TranslationMeshManager ()
| デストラクタ
virtual bool | convertToLamp (Scene *scene) const
| Lampへの変換.
virtual int | clear ()
| クリア
TranslationRigidMesh * | createRigidMesh (const String &meshName)
| 剛体メッシュの作成
TranslationCharacterMesh * | createCharacterMesh (const String &meshName)
| キャラクタメッシュの作成
virtual int | getCount () const
| メッシュ数の取得
virtual TranslationMesh * | get (int index) const
| メッシュの取得
virtual TranslationMesh * | search (String name) const
| メッシュの検索

## Detailed Description

変換メッシュマネージャ

Definition at line 41 of file TranslationMeshManager.h.

## Member Function Documentation

int LampForMaya::TranslationMeshManager::clear | ( |  | ) | `[virtual]`

| クリア Returns: 削除したオブジェクト数 Definition at line 52 of file TranslationMeshManager.cpp. References getCount(). Referenced by LampForMaya::TranslationScene::clear(), and ~TranslationMeshManager().

bool LampForMaya::TranslationMeshManager::convertToLamp | ( | Scene * | scene | ) | const`[virtual]`

  | Lampへの変換. Parameters:
  scene | 変換先シーン
Returns: 成功すればtrue Definition at line 44 of file TranslationMeshManager.cpp. References LampForMaya::TranslationMesh::convertToLamp(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::convertToLamp().

TranslationCharacterMesh * LampForMaya::TranslationMeshManager::createCharacterMesh | ( | const String & | meshName | ) |

  | キャラクタメッシュの作成 すでに同じメッシュ名のメッシュが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  meshName | メッシュ名
Returns: 作成されたメッシュ Definition at line 79 of file TranslationMeshManager.cpp. References MayaErrorOut, and search(). Referenced by LampForMaya::TranslationCharacterModel::analyzeMesh().

TranslationRigidMesh * LampForMaya::TranslationMeshManager::createRigidMesh | ( | const String & | meshName | ) |

  | 剛体メッシュの作成 すでに同じメッシュ名のメッシュが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  meshName | メッシュ名
Returns: 作成されたメッシュ Definition at line 62 of file TranslationMeshManager.cpp. References MayaErrorOut, and search(). Referenced by LampForMaya::TranslationStandardModel::analyze().

virtual TranslationMesh* LampForMaya::TranslationMeshManager::get | ( | int | index | ) | const`[inline, virtual]`

  | メッシュの取得 Parameters:
  index | メッシュのインデクス
Returns: メッシュ Definition at line 97 of file TranslationMeshManager.h. Referenced by convertToLamp().

virtual int LampForMaya::TranslationMeshManager::getCount | ( |  | ) | const`[inline, virtual]`

| メッシュ数の取得 Returns: メッシュ数 Definition at line 90 of file TranslationMeshManager.h. Referenced by clear(), convertToLamp(), and ~TranslationMeshManager().

virtual TranslationMesh* LampForMaya::TranslationMeshManager::search | ( | String | name | ) | const`[inline, virtual]`

  | メッシュの検索 Parameters:
  name | 検索するメッシュ名
Returns: メッシュ Definition at line 104 of file TranslationMeshManager.h. Referenced by LampForMaya::TranslationStandardModel::analyze(), LampForMaya::TranslationCharacterModel::analyzeMesh(), createCharacterMesh(), and createRigidMesh().

The documentation for this class was generated from the following files:

- TranslationMeshManager.h
- TranslationMeshManager.cpp